# Welcome to pypillometry (v2)!

[![GitHub issues](https://img.shields.io/github/issues/ihrke/pypillometry)](https://github.com/ihrke/pypillometry/issues)
[![status](https://joss.theoj.org/papers/3b06f4f3d5b703fd99c7e622b7edebe4/status.svg)](https://joss.theoj.org/papers/3b06f4f3d5b703fd99c7e622b7edebe4)
[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.3925528.svg)](https://doi.org/10.5281/zenodo.3925528)
[![codecov](https://codecov.io/gh/ihrke/pypillometry/graph/badge.svg?token=BFSKNGT772)](https://codecov.io/gh/ihrke/pypillometry)
[![tests](https://github.com/ihrke/pypillometry/actions/workflows/run-tests.yml/badge.svg)](https://github.com/ihrke/pypillometry/actions/workflows/run-tests.yml)



[![GitHub release](https://img.shields.io/github/release/ihrke/pypillometry.svg)](https://gitHub.com/ihrke/pypillometry/releases/)
[![PyPI version](https://badge.fury.io/py/pypillometry.svg)](https://badge.fury.io/py/pypillometry)


![](https://raw.githubusercontent.com/ihrke/pypillometry/master/logo/pypillometry_logo_200x200.png?token=AAIWMEINEM6MUOAPT2NV4I252K5QW)

> [!NOTE]
> This is `pypillometry` version 2 that contains a major restructuring of the code. Scripts written for version 1 will not continue to work. The reason for the update is that the new version will be able to handle eyetracking-data in addition to pupillometry data (and it will be able to handle more than one eye and other data sources at the same time).
> 
> The documentation for v2 is currently incomplete and broken as we focus on developing the new API.  
>
> - Version 1 is here: [pypillometry version 1](https://github.com/ihrke/pypillometry/tree/v1)
> - Documentation for Version 1 is here: [pypillometry docs v1](https://ihrke.github.io/pypillometry/v1/html/index.html)
> 

This package implements functions for the analysis of pupillometric and eyetracking data. Features include preprocessing, blink handling, event-related pupil-dilation, plotting and signal modeling.

- Github-repository: <https://github.com/ihrke/pypillometry>

- Homepage/Documentation: <https://ihrke.github.io/pypillometry/>



---

The project is maintained by Matthias Mittner <matthias.mittner@uit.no>

To report a bug or recommend a new feature, please use [github's issue tracker](https://github.com/ihrke/pypillometry/issues).

For more details about how to contribute, please see the [contribution-section](https://ihrke.github.io/pypillometry/docs/dev.html) in the documentation.
